Skip to main content
PUT
/
v1
/
webhooks
/
{id}
Update a webhook endpoint
curl --request PUT \
  --url https://api.example.com/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "events": [
    "payout.paid",
    "payout.failed"
  ],
  "url": "https://example.com/webhooks"
}
'
import requests

url = "https://api.example.com/v1/webhooks/{id}"

payload = {
"enabled": True,
"events": ["payout.paid", "payout.failed"],
"url": "https://example.com/webhooks"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
events: ['payout.paid', 'payout.failed'],
url: 'https://example.com/webhooks'
})
};

fetch('https://api.example.com/v1/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "enabled": true,
  "events": [],
  "id": "<string>",
  "signingSecretHint": "ab1f",
  "updatedAt": "<string>",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

id
string<uuid>
required

Webhook endpoint ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json
enabled
boolean

Whether the endpoint is enabled

events
enum<string>[]

Event types to subscribe to

Available options:
payout.processing,
payout.paid,
payout.failed,
payout.reverted,
payout.cancelled,
webhook.test,
account.created
Example:
["payout.paid", "payout.failed"]
url
string

HTTPS URL to receive webhook events

Example:

"https://example.com/webhooks"

Response

Updated webhook endpoint

createdAt
string
required

Creation timestamp

enabled
boolean
required

Whether the endpoint is enabled

events
enum<string>[]
required

Subscribed event types

Available options:
payout.processing,
payout.paid,
payout.failed,
payout.reverted,
payout.cancelled,
webhook.test,
account.created
id
string
required

Endpoint ID

signingSecretHint
string
required

Last 4 characters of the signing secret

Example:

"ab1f"

updatedAt
string
required

Last update timestamp

url
string
required

Webhook URL